Skip to main content
POST
Create User

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Headers

x-api-version
string
default:2025-11-01
required

API version to be used. Format is in YYYY-MM-DD.

Example:

"2025-11-01"

Body

application/json

Request parameters to create a new user.

user_id
string
required

Unique identifier for the user, as provided by you during PPI user creation.

Example:

"USER827364"

phone
string
required

Phone number of the user, without country code. Must be exactly 10 digits. Only numeric characters are allowed.

Example:

"9876543210"

first_name
string

First name of the user.

Example:

"John"

last_name
string

Last name of the user.

Example:

"Doe"

email
string

Email address of the user.

Example:

"john.doe@example.com"

Response

Success response for creating a user.

user_id
string

Unique identifier for the user, as provided by you during PPI user creation.

Example:

"USER827364"

first_name
string

First name of the user.

Example:

"John"

last_name
string

Last name of the user.

Example:

"Doe"

phone
string

Phone number of the user without country code.

Example:

"9876543210"

email
string

Email address of the user.

Example:

"john.doe@example.com"

status
string

Current status of the user account. Possible values:

  • ACTIVE
  • BLOCKED
Example:

"ACTIVE"

cf_user_id
string

Unique identifier of the user generated by Cashfree.

Example:

"859473832123456789"